# asrtd CLI

## Prerequisites

The asserted CLI requires at least Node v10. Check which version of Node you have installed with:

```bash
node -v
```

If you do not have Node installed, or have the wrong version, we recommend installing Node using one of the following:

* Mac / Linux - [nvm](https://github.com/nvm-sh/nvm)
* Windows - [nvm-windows](https://github.com/coreybutler/nvm-windows)

## Installation

Use NPM to globally install the asserted CLI:

```
npm i -g asrtd
```

## Commands

At any time you can run the following to get a full breakdown of all CLI commands:

```bash
asrtd --help
```

![asrtd --help output](/files/-M941HPYzJaIHIp3EEwt)

The best source for information on how to run commands in the CLI, is the CLI itself by running `asrtd --help` or adding `--help` to any individual command for more details.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.asserted.io/reference/asrtd-cli.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
